Store a recipients or disabled binding; the most specific row replaces fallback.
PUT
/v1/tenants/{tenantNumber}/notification-recipient-bindings/{bindingKey}/{scopeType}/{scopeId}
const url = 'https://api.dev.iot-sens.schlossers.at/v1/tenants/1/notification-recipient-bindings/example/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"mode":"recipients","recipients":["hello@example.com"],"expectedVersion":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.dev.iot-sens.schlossers.at/v1/tenants/1/notification-recipient-bindings/example/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "mode": "recipients", "recipients": [ "hello@example.com" ], "expectedVersion": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantNumber
required
integer format: int32
bindingKey
required
string
scopeType
required
string
scopeId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
mode
required
string
recipients
Array<string>
expectedVersion
integer
Responses
Section titled “Responses”Binding stored.
default
Section titled “default”A safe platform error response.
Media typeapplication/json
object
error
required
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}Headers
Section titled “Headers”Cache-Control
string